Subject: Re: [Dime] [AAA-DOCTORS] Fwd: [Editorial Errata Reported] RFC6733 (4803)

From: Benoit Claise <[email-masked]>
Date: Thu, 27 Jul 2017 16:14:50 +0200

Ok, in the end, I made the changes myself and approved it.

Regards, B.
> Holger,
>
> Can you please update the errata with the information below.
>
> Regards, Benoit
>>
>> This errata report is correct on the inconsistency regarding the 
>> definition of the command header and AVP header and how they are used 
>> in the rest of the document in the ABNF description of commands and 
>> Grouped AVPs.
>>
>> For commands, the header is defined as follow:
>>
>>    header           = "<Diameter-Header:" command-id
>>
>>                          [r-bit] [p-bit] [e-bit] [application-id]">"
>>
>> whereas "<Diameter Header:" is used when defining commands.
>>
>> Same for Grouped AVP. It is defined as follow:
>>
>>          header           = "<" "AVP-Header:" avpcode [vendor] ">"
>>
>> whereas "<AVP Header:" is used when defining Grouped AVPs.
>>
>> Considering that most (if not all) the ABNF descriptions have been 
>> copied from the commands and Grouped AVPs defined in the RFC3588 or 
>> RFC6733, I would be in favor to correct the specification by 
>> modifying the definition of the headers, i.e.
>>
>> --> In section 3.2.  Command Code Format Specification
>>
>> OLD:
>>
>>    header           = "<Diameter-Header:" command-id
>>
>>                          [r-bit] [p-bit] [e-bit] [application-id]">"
>>
>> NEW:
>>
>>    header           = "<Diameter Header:" command-id
>>
>>                          [r-bit] [p-bit] [e-bit] [application-id]">"
>>
>> --> And in section 4.4
>>
>> OLD:
>>
>>          header           = "<" "AVP-Header:" avpcode [vendor] ">"
>>
>> NEW:
>>
>>          header           = "<" "AVP Header:" avpcode [vendor] ">"
>>
>> *******************
>>
>> There are other issues pointed out in this report.
>>
>> For command-def  = "<" command-name ">" "::=" diameter-message, I 
>> would propose to simply correct the example as all the command 
>> definitions given in the document are following the command-def 
>> definition.
>>
>> For the grouped-avp-def, I don't know what would be the best 
>> approach. We could follow the same approach and require the addition 
>> of "<>" but I don't know what would be the impacts on existing 
>> Grouped AVPs defined without.
>>
>> Regards,
>>
>> Lionel.
>>
>>
>> -------- Forwarded Message --------
>>
>> *Subject: *
>>
>> 	
>>
>> [Editorial Errata Reported] RFC6733 (4803)
>>
>> *Date: *
>>
>> 	
>>
>> Tue, 13 Sep 2016 14:42:13 -0700
>>
>> *From: *
>>
>> 	
>>
>> RFC Errata System <[email-masked]> 
>> <mailto:[email-masked]>
>>
>> *To: *
>>
>> 	
>>
>> [email-masked] <mailto:[email-masked]>, [email-masked] 
>> <mailto:[email-masked]>, [email-masked] 
>> <mailto:[email-masked]>, [email-masked] 
>> <mailto:[email-masked]>, [email-masked] 
>> <mailto:[email-masked]>, [email-masked] 
>> <mailto:[email-masked]>, [email-masked] 
>> <mailto:[email-masked]>, [email-masked] 
>> <mailto:[email-masked]>
>>
>> *CC: *
>>
>> 	
>>
>> [email-masked] <mailto:[email-masked]>, 
>> [email-masked] <mailto:[email-masked]>, [email-masked] 
>> <mailto:[email-masked]>
>>
>> The following errata report has been submitted for RFC6733,
>> "Diameter Base Protocol".
>> --------------------------------------
>> You may review the report below and at:
>> http://www.rfc-editor.org/errata_search.php?rfc=6733&eid=4803
>> --------------------------------------
>> Type: Editorial
>> Reported by: Holger Freyther<[email-masked]> <mailto:[email-masked]>
>> Section: 3.2
>> Original Text
>> -------------
>>     Example-Request ::= < Diameter Header: 9999999, REQ, PXY >
>>                         { User-Name }
>>                      1* { Origin-Host }
>>                       * [ AVP ]
>> Corrected Text
>> --------------
>>     <Example-Request> ::= < Diameter-Header: 9999999, REQ, PXY >
>>                         { User-Name }
>>                      1* { Origin-Host }
>>                       * [ AVP ]
>> Notes
>> -----
>> I converted the BNF into a PetitParser parser in Smalltalk/Pharo and noticed that example and grammar do not match. The first issue is with the example following the grammar but most definitions do not follow the BNF so maybe it is best to update the BNF.
>>    header           = "<Diameter-Header:" command-id
>>                           [r-bit] [p-bit] [e-bit] [application-id]">"
>> But "Diameter-Header:" is not used throughout the text so maybe it is better to update the grammar to "Diameter Header:".
>>   command-def      = "<" command-name ">" "::=" diameter-message
>> but the example is not using <> for the command-name ("Example-Request"). For the grouped-avp-def application is sometimes used with "<" name ">" and sometimes just name.
>> Instructions:
>> -------------
>> This erratum is currently posted as "Reported". If necessary, please
>> use "Reply All" to discuss whether it should be verified or
>> rejected. When a decision is reached, the verifying party (IESG)
>> can log in to change the status and edit the report, if necessary.
>> --------------------------------------
>> RFC6733 (draft-ietf-dime-rfc3588bis-33)
>> --------------------------------------
>> Title               : Diameter Base Protocol
>> Publication Date    : October 2012
>> Author(s)           : V. Fajardo, Ed., J. Arkko, J. Loughney, G. Zorn, Ed.
>> Category            : PROPOSED STANDARD
>> Source              : Diameter Maintenance and Extensions
>> Area                : Operations and Management
>> Stream              : IETF
>> Verifying Party     : IESG
>> .
>> _________________________________________________________________________________________________________________________
>> Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
>> pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
>> a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
>> Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.
>> This message and its attachments may contain confidential or privileged information that may be protected by law;
>> they should not be distributed, used or copied without authorisation.
>> If you have received this email in error, please notify the sender and delete this message and its attachments.
>> As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
>> Thank you.
>> _________________________________________________________________________________________________________________________
>>
>> Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
>> pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
>> a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
>> Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.
>>
>> This message and its attachments may contain confidential or privileged information that may be protected by law;
>> they should not be distributed, used or copied without authorisation.
>> If you have received this email in error, please notify the sender and delete this message and its attachments.
>> As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
>> Thank you.
>
>
>
> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dime